Console API
  1. Bill
Console API
  • User
    • User Info
      GET
    • Ssh keys
      GET
  • IAM
    • Add user to user group
      POST
    • Create user group
      POST
    • Get roles
      GET
    • Get all user groups v2
      GET
    • Create user group v2
      PUT
    • Detail user group v2
      GET
    • Update user group v2
      PUT
    • Delete a user group v2
      DELETE
    • Get roles v2
      GET
    • Detail role v2
      GET
    • Delete a Role v2
      DELETE
    • Get user list of all VPCs
      GET
  • Tenant / Regions
    • Get Regions & Tenant info
      GET
    • Get Tenant Info
      GET
  • Project
    • Get project list
      GET
    • Create Project
      POST
    • Detail Project
      GET
    • Delete Project
      DELETE
  • VPC
    • Get VPC List (Tenant Owner)
    • Get VPC List
    • Rename VPC
    • Create VPC
    • Delete VPC
    • Get VPC Quota
    • Check user can create VPC
    • Get VPCs of User v2
  • Images
    • Get images
  • Flavors
    • Get flavors
  • Storage Policy
    • List
  • Instances
    • List
    • Detail
    • Security Group
    • Create instance
    • Power off
    • Reboot
    • Power on
    • Terminate
    • Resize
    • Lock Termination
    • Rename
    • Manage tag
    • Check VPC enable NVME
    • Get Monitor performance url
  • Subnet
    • List
    • Create
    • Rename
    • Delete
    • Manage tags
  • Security group
    • Security Group List
    • Security Group Detail
    • Rule Types
    • Create Security Group
    • Create Rule
    • Apply to private ip
    • Delete Rule
    • Delete security group
    • Manage tag
    • Get application ports
    • Get quota Security Group
  • Floating IP
    • List
    • Allocate
    • Connect to instance
    • Disconnect
    • Release
    • Manage tag
  • Activity Logs
    • List
  • Tags
    • Lists
  • Billing
    • Bill
      • Get bills by date
        GET
      • Get Bills by paging
        POST
      • Bill Info
        GET
      • Bill service types
        GET
  • S3
    • Get bucket policy
    • List buckets
    • Get s3 service enabled
  • IP Access
    • API Portal Access Log
  • Metal Cloud
    • Bare Metal Servers
      • List all servers
      • Get server details
      • Get server console URL
      • Create server (V2)
      • Create server (V1)
      • Rename a server (Portal name)
      • Power on a server
      • Power off a server
      • Delete a server
    • Subnets
      • Get an available subnet
      • Create a subnet
      • List all subnets
      • Delete a subnet
      • Update a subnet
    • Network ACLs
      • List all network ACLs
      • Update a network ACL
      • Get a network ACL details
      • List all rule groups of a Network ACL
      • List all rules of a group (Network ACL)
      • Update a rule of a network ACL
    • OS images
      • List all public images
      • List all custom images
      • Upload a new custom image to S3
      • Get presigned upload URLs
      • Upload a custom image from S3 to FPT image repository
      • Delete a custom image
      • Sync an image to Console (Portal)
    • Server flavors
      • Quota list
      • Get list server flavors
  • Storage Disk
    • Create Storage Disk
    • List Storages
    • Update
    • Create snapshot
    • Tagging
    • Attach
    • Detach
    • Delete
  • Instance Group
    • Create
    • Get policies
    • Get Instance groups
    • Delete
  • Instance Schedule
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • VPN
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • Task
    • Mark as read
  • Edge Gateway
    • Get list edge gateways
  • Schemas
    • Sample Schemas
      • CreateInstanceSchema
      • Pet
      • Category
      • Tag
    • Metal Cloud
      • Request
      • Bare Metal Server details
      • Subscription
      • Package details
      • Image
  1. Bill

Get Bills by paging

POST
https://console-api.fptcloud.com/api/v1/billing/bills
api billing v2 query by page

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Example
{
    "last_sort_value": [],
    "size": 100,
    "search_date": "2025-01-01",
    "billing_group_name": "",
    "billing_config_name": "",
    "service_type": "storage"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://console-api.fptcloud.com/api/v1/billing/bills' \
--header 'Access-Control-Allow-Origin: *' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "last_sort_value": [],
    "size": 100,
    "search_date": "2025-01-01",
    "billing_group_name": "",
    "billing_config_name": "",
    "service_type": "storage"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 0,
    "message": "string",
    "last_sort_value": [
        "string"
    ],
    "count": 0,
    "data": [
        {
            "org_id": "string",
            "org_name": "string",
            "tenant_iaas_id": "string",
            "tenant_iaas_name": "string",
            "vpc_id": "string",
            "vpc_name": "string",
            "vdi_site": "string",
            "pool_name": "string",
            "day": "string",
            "start_time": "string",
            "service": "string",
            "name": "string",
            "infra_id": "string",
            "attach_vm": "string",
            "storage_policy": "string",
            "disk": 0,
            "disk_total": 0,
            "vcpu": 0,
            "vcpu_total": 0,
            "ram": 0,
            "ram_total": 0,
            "running_time": 0,
            "total_price": 0,
            "disk_quantity": 0,
            "cpu_quantity": 0,
            "ram_quantity": 0,
            "tag": "string",
            "billing_config_name": "string",
            "billing_group_name": "string",
            "invoice_group_name": "string"
        }
    ]
}
Modified at 2026-01-22 07:07:20
Previous
Get bills by date
Next
Bill Info
Built with